Skip to content

Create an event as draft

Events

Moderators can create an event with a title, description, event timezone, event start time/date, and event end time/date. Events do not have a category.

Events can be created and published immediately, or can be created as draft and published later. Draft events are not publicly visible.

Optionally, moderators can provide a location for an event, as well as a URL for end users to find more information or formally register for an event. Moderators can optionally set a display label for a URL, to provide more context for the end user about the link.

In addition, moderators can specify an event type for the event (a label highlighting the type of event, e.g. Webinar, Conference, Meetup).

Moderators can also add a custom confirmation message that is shown to end users after they press attend; for example, to highlight any actions that the end user needs to take external to the community.

Events can also optionally have a featured image with a valid url. The allowed image extensions for featured image are png, jpeg, jpg, gif.

POST
/events/draft

Parameters

Query Parameters

moderatorId*

ID of the moderator creating the event

Type
string
Required

Request Body

application/json
JSON
{
  
"title": "A very interesting event",
  
"type": "Meetup",
  
"content": "This webinar will teach you all you need to know about everything",
  
"startsAt": "2017-04-01T15:29:06+02:00",
  
"endsAt": "2017-04-01T20:29:06+02:00",
  
"timezone": "Europe/Amsterdam",
  
"location": "New York",
  
"url": "https://example.com",
  
"image": "https://example.com/some-optional-image.png",
  
"externalRegistrationUrl": "https://some.valid.url",
  
"externalRegistrationUrlLabel": "My Registration Page",
  
"featuredTopics": [
  
  
{
  
  
  
"privateId": 0,
  
  
  
"publicId": 0,
  
  
  
"contentType": "string"
  
  
}
  
],
  
"confirmationMessage": "My Confirmation Message",
  
"userGroupId": "21"
}

Responses

Event created

Samples

Gainsight CC Developer Portal